<?php
namespace App\Service\Import\Processor;
use App\Service\Import\Interfaces\FileProcessorInterface;

use League\Csv\Reader;

class BasicCsvFileProcessor implements FileProcessorInterface
{
    public function processFile(string $path): array
    {
        $csv = Reader::createFromPath($path, 'r');
        $csv->setHeaderOffset(0);
        return iterator_to_array($csv->getRecords(), false);
    }

    public function getHeader(string $path): array
    {
        $csv = Reader::createFromPath($path, 'r');
        $csv->setHeaderOffset(0);

        return $csv->getHeader();
    }
}