<?php
namespace App\Service\Import\ErrorHandler;
use App\Service\Import\Interfaces\ErrorHandlerInterface;
use Psr\Log\LoggerInterface;

    class LoggingErrorHandler implements ErrorHandlerInterface
    {

        private LoggerInterface $logger;

        public function __construct(LoggerInterface $logger)
        {
            $this->logger = $logger;
        }


        public function handle(array $errors): void
            {
                foreach ($errors as $error) {
                    $this->logger->error($error);
                }
                
            }
    }