<?php

namespace App\Service\Import\Result;

class ValidationResult
{
    private array $errors;
    private array $validData;

    public function __construct(array $errors, array $validData)
    {
        $this->errors = $errors;
        $this->validData = $validData;
    }
    public function getErrors(): array
    {
        return $this->errors;
    }
    public function getValidData(): array
    {
        return $this->validData;
    }
    public function hasErrors(): bool
    {
        return !empty($this->errors);
    }
}